> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Companies

Search for companies in ZoomInfo's data by name, industry, size, revenue, location, and other criteria.

**Note**: This action only returns basic information about each company. To get additional data, use the `Enrich Company` action with the `id` values returned here.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [ZoomInfo documentation](https://docs.gtm.ai/reference/searchinterface_searchcompany).

## Basic Parameters

| Parameter | Description |
| - | - |
| Company ID | A comma-separated list of unique ZoomInfo identifiers for the companies to search for. |
| Company Name | The name of the company. |
| Company Website | A comma-separated list of company website URLs, in `http://www.example.com` format. |
| Country | The country of the company's address. |
| Employee Count | A comma-separated list of employee count ranges to filter results by. |
| Industry Codes | A comma-separated list of top-level industry codes the company belongs to. |
| Page Number | The page of results to retrieve. If not provided, the first page of results is returned. |
| Page Size | The number of records to return per page. Values can range from `1` to `100`. If not provided, the default is `25`. |
| Return All Pages | Automatically fetch all resources, page by page. |
| Revenue | A comma-separated list of annual revenue ranges, in U.S. dollars, to filter results by. |
| Sort | Select the field to sort results by, and whether to sort ascending or descending. If not provided, results are sorted by revenue, descending. |
| State | The U.S. state or Canadian province of the company's address. |
| Zip Code | The zip code or postal code of the company's address. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| Additional Parameters | A JSON object for additional body parameters. Values specified in this parameter will override equivalent parameters. For example: <pre>`{    "first_key": 12345,    "second_key": "some_value"}`</pre>The object must follow the vendor's structure as defined in the [API documentation](https://docs.gtm.ai/reference/searchinterface_searchcompany). |
| Address | The full address of the company. |
| Business Model | Select the business models to filter results by. |
| Certified | Filter by whether ZoomInfo's research team has confirmed activity for the company within the past 12 months. Use `1` for certified companies, or `0` for not certified. |
| Company Description | Search for companies based on their description. Accepts a space-separated list of individual words. |
| Company Ranking | A comma-separated list of company ranking IDs (for example, Fortune 500) to filter results by. |
| Company Ticker | A comma-separated list of company stock ticker symbols. |
| Company Type | Select the types of companies to filter results by. |
| Continent | The continent of the company's address. |
| Exclude Defunct Companies | Select to exclude defunct companies from the results. |
| Industry Keywords | Industry keywords associated with the company. Combine terms with `AND` or `OR`. **For example:** `software AND security` or `software OR security`. |
| Location Search Type | Select the location type to search by. |
| Maximum Employee Range | The maximum employee count for the company. Use with `Minimum Employee Range` to set a range. |
| Maximum Revenue | The maximum annual revenue for the company, in thousands of U.S. dollars. Use with `Minimum Revenue` to set a range. |
| Metro Region | A comma-separated list of U.S. and Canada metro areas to filter results by. |
| Minimum Employee Range | The minimum employee count for the company. Use with `Maximum Employee Range` to set a range. |
| Minimum Revenue | The minimum annual revenue for the company, in thousands of U.S. dollars. Use with `Maximum Revenue` to set a range. |
| NAICS Codes | A comma-separated list of North American Industry Classification System codes to filter results by. |
| Parent ID | The ZoomInfo company ID of the parent company. |
| Primary Industries Only | Select to only return results where one of the industries specified in `Industry Codes` is the company's primary industry. |
| SIC Codes | A comma-separated list of Standard Industrial Classification codes to filter results by. |
| Street | The street portion of the company's address. |
| Ultimate Parent ID | The ZoomInfo company ID of the ultimate parent company. |
| Under Management | Select to only return companies that are under management. |

## Example Output

```json theme={"dark"}
{
	"data": [
		{
			"id": "344589814",
			"type": "Company",
			"attributes": {
				"name": "ZoomInfo",
				"website": "www.zoominfo.com",
				"logo": "https://res.cloudinary.com/zoominfo-com/image/upload/w_100,h_100,c_fit/zoominfo.com"
			}
		}
	],
	"links": {
		"first": "/data/v1/companies/search?page[number]=1&page[size]=25",
		"last": "/data/v1/companies/search?page[number]=1&page[size]=25"
	},
	"meta": {
		"page": {
			"number": 1,
			"total": 1
		},
		"totalResults": 1
	}
}
```
